Table of Contents

Class: CollectionForm | Twisted-0.17.4/twisted/coil/web.py
--- | ---

Form for a collection of objects - adding, deleting, etc.

Base Classes |
--- | ---
widgets.Form

Methods |
--- | ---
__init__ getFormFields process
| __init__

    __init__ (
            self,
            configurator,
            coll,
            linkfrom,
            )

| getFormFields

    getFormFields ( self,  request )

| process

    process (
            self,
            write,
            request,
            submit,
            name="",
            type=None,
            items=(),
            )

Exceptions |
--- | ---
widgets.FormInputError("Don't know how to %s" % repr( submit ) ) widgets.FormInputError(str(sys.exc_info() [ 1 ] ) )

Table of Contents

This document was automatically generated on Sat Apr 20 01:32:16 2002 by HappyDoc version 2.0